<ng-template #newCredentials let-c="close" let-d="dismiss">
  <div class="modalContainer" fxLayout="column" fxFlex>

    <div fxLayout="row" fxLayoutAlign="center center">
      <span class="raamHintText bigText">You have no credentials for {{repo ? repo.name : url}}</span>
    </div>

    <raamHeadline [title]="''" fxFlexOffset="1"></raamHeadline>

    <div fxLayout="row" fxLayoutAlign="space-around center" fxFlexOffset="1">
      <raamInput title="Username" [value]="username" (valueChange)="useUsername($event)" fxFlex="49"></raamInput>
      <raamInput title="Password" [value]="password" (valueChange)="usePassword($event)" fxFlex="49"
                 type="password" fxFlexOffset="2"></raamInput>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around center" fxFlexOffset="1">
      <raamDropDown title="Select other" [value]="chosenCred" displayContent="repository.name"
                    [list]="user.credentials" (change)="useExisting($event)" fxFlex></raamDropDown>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around center" fxFlexOffset="1">
      <raamSwitch label="use login info" [value]="sameAsUser" (valueChange)="isSameAsUser($event)"></raamSwitch>
      <raamSwitch label="be observer" [value]="observer" (valueChange)="isObserver($event)"></raamSwitch>
    </div>


  </div>

  <div class="buttonContainer" fxFlex="row" fxLayoutAlign="end end">
    <button *ngIf="canAdd()" class="btn btn-success" (click)="modalRef.close()" fxFlexOffset="2">
      Add
    </button>
    <button class="btn btn-danger" (click)="modalRef.dismiss()" fxFlexOffset="2">
      Abort
    </button>
  </div>
</ng-template>
